pkg update error for any repo

jazzraven

New Member


Messages: 9

Hi!
I have a server running on FreeBSD-11.1-Release. Today (yes, too late) I`ve updated it to 11.3-R:
Code:
server:/usr/local/etc/pkg/repos # uname -a
FreeBSD server 11.3-RELEASE-p7 FreeBSD 11.3-RELEASE-p7 #0: Tue Mar 17 08:32:23 UTC 2020     root@amd64-builder.daemonology.net:/usr/obj/usr/src/sys/GENERIC  amd64


to update software I`ve deployed a Poudriere repo:

Code:
root@PoudriereBSD:/usr/local/poudriere/data/packages # poudriere jail -l
JAILNAME   VERSION         ARCH  METHOD TIMESTAMP           PATH
amd64-11-3 11.3-RELEASE-p7 amd64 ftp    2020-04-18 11:53:32 /usr/local/poudriere/jails/amd64-11-3


I`ve complied all the necessary packages, then set up my server for usage of the local repo:

Code:
poudriere: {
    url: "http://10.1.10.224/packages/amd64-11-3-default",
    mirror_type: "http",
    signature_type: "none",
    enabled: yes
}

Turned off the official FreeBSD repo...

On my server I did
pkg update

and got this ugly message:

Code:
/usr/local/etc/pkg/repos # pkg update
Updating poudriere repository catalogue...
pkg: Repository poudriere load error: access repo file(/var/db/pkg/repo-poudriere.sqlite) failed: No such file or directory
Fetching meta.txz: 100%    236 B   0.2kB/s    00:01
pkg: repository meta /var/db/pkg/poudriere.meta has wrong version 2
repository poudriere has no meta file, using default settings
Fetching packagesite.txz: 100%  101 KiB 103.0kB/s    00:01
pkg: repository meta /var/db/pkg/poudriere.meta has wrong version 2
pkg: Repository poudriere load error: meta cannot be loaded No error: 0
Unable to open created repository poudriere
Unable to update repository poudriere
Error updating repositories!


and even if I try to change it to the Official Repo I got the message

Code:
/usr/local/etc/pkg/repos # pkg upgrade pkg
Updating FreeBSD repository catalogue...
pkg: repository meta /var/db/pkg/FreeBSD.meta has wrong version 2
pkg: Repository FreeBSD load error: meta cannot be loaded No error: 0
Fetching meta.txz: 100%    916 B   0.9kB/s    00:01
pkg: repository meta /var/db/pkg/FreeBSD.meta has wrong version 2
repository FreeBSD has no meta file, using default settings
Fetching packagesite.txz: 100%    6 MiB   6.5MB/s    00:01
pkg: repository meta /var/db/pkg/FreeBSD.meta has wrong version 2
pkg: Repository FreeBSD load error: meta cannot be loaded No error: 0
Unable to open created repository FreeBSD
Unable to update repository FreeBSD
Error updating repositories!


So what`s wrong?
It`s not like it`s the EOL of 11.3-R AFAIK...
I can`t update pkg itself because neither repos works... I tried

portmaster pkg


with the result:
Code:
===>>> Re-installation of pkg-1.10.5_1 complete

and then
Code:
/var/db/pkg # pkg upgrade -F
Updating poudriere repository catalogue...
pkg: Repository poudriere load error: access repo file(/var/db/pkg/repo-poudriere.sqlite) failed: No such file or directory
Fetching meta.txz: 100%    236 B   0.2kB/s    00:01
pkg: repository meta /var/db/pkg/poudriere.meta has wrong version 2
repository poudriere has no meta file, using default settings
Fetching packagesite.txz: 100%  101 KiB 103.0kB/s    00:01
pkg: repository meta /var/db/pkg/poudriere.meta has wrong version 2
pkg: Repository poudriere load error: meta cannot be loaded No error: 0
Unable to open created repository poudriere
Unable to update repository poudriere
Error updating repositories!


So I run out of ideas...
Any help would be most appreciated!
 
OP
J

jazzraven

New Member


Messages: 9

SOLVED!

Code:
usr/ports/ports-mgmt/pkg # pkg delete -f pkg

Updating database digests format: 100%

Checking integrity... done (0 conflicting)

Deinstallation has been requested for the following 1 packages (of 0 packages in the universe):


Installed packages to be REMOVED:

        pkg-1.10.5_1


Number of packages to be removed: 1


The operation will free 12 MiB.


Proceed with deinstalling packages? [y/N]: y

[1/1] Deinstalling pkg-1.10.5_1...

[1/1] Deleting files for pkg-1.10.5_1: 100%



Code:
/usr/ports/ports-mgmt/pkg # pkg-static install -f pkg

pkg-static: Command not found.

usr/ports/ports-mgmt/pkg # pkg install pkg

The package management tool is not yet installed on your system.

Do you want to fetch and install it now? [y/N]: y

Bootstrapping pkg from pkg+http://pkg.FreeBSD.org/FreeBSD:11:amd64/quarterly, please wait...

Verifying signature with trusted certificate pkg.freebsd.org.2013102301... done

Installing pkg-1.13.2...

Extracting pkg-1.13.2: 100%

Updating FreeBSD repository catalogue...

Fetching meta.conf: 100%    163 B   0.2kB/s    00:01

Fetching packagesite.txz: 100%    6 MiB   2.2MB/s    00:03

Processing entries: 100%

FreeBSD repository update completed. 31571 packages processed.

All repositories are up to date.

Updating database digests format: 100%

Checking integrity... done (0 conflicting)

The most recent versions of packages are already installed


Code:
/usr/ports/ports-mgmt/pkg # pkg update -f

Updating FreeBSD repository catalogue...

Fetching meta.conf: 100%    163 B   0.2kB/s    00:01

Fetching packagesite.txz: 100%    6 MiB 383.4kB/s    00:17

Processing entries: 100%

FreeBSD repository update completed. 31571 packages processed.

All repositories are up to date.


Then I`ve tried to switch on local poudriere repo - it worked without problems!
 
Top